import { PaperPageItem } from "@/ap/types/dataCheck";

export interface StudentPage extends PaperPageItem {
  examId: number;
  studentId: number;
  studentIndex: number;
  paperId: number;
  paperIndex: number;
  paperNumber: number;
  pageIndex: number;
  kid: string;
}

export interface QuestionInfo {
  examNumber: string;
  name: string;
  examSite: string;
  seatNumber: number;
  paperType: string;
  examStatus: string;
  packageCode?: string;
}

export interface AllCheckFilter {
  imageName: string;
  isCheck: boolean;
}

export interface StudentCheckItem {
  imageName: string;
  zkzh: string;
  smda: string;
  info: string;
  checked: boolean;
}
